attribute vec3 aVertexPosition;
attribute vec3 aVertexNormal;
attribute vec4 aVertexColour;
attribute vec2 aVertexTexCoord;

uniform mat4 uMVMatrix;
uniform mat4 uPMatrix;
uniform mat3 uNMatrix;

varying vec4 vColour;
varying vec2 vTexCoord;
varying vec4 vNormal;
varying vec4 vPosition;

void main(void) {
    
    vColour = aVertexColour;
    vTexCoord = aVertexTexCoord;
    vNormal = vec4(uNMatrix * aVertexNormal, 1.0);
    vPosition = uMVMatrix * vec4(aVertexPosition, 1.0);
    gl_Position = uPMatrix * uMVMatrix * vec4(aVertexPosition, 1.0);
}
